Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Interpreter.h File Reference

`#include "Constraint_Nodes.h"`
`#include "Constraint_Visitors.h"`
`#include "orbsvcs/Trader/trading_export.h"`

Include dependency graph for Interpreter.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Interpreter
| TAO_Interpreter is the superclass for all interpreters. Its build tree method invokes the yacc parser to parse a constraint or preference string. More...
class | TAO_Lex_String_Input
| Have Lex read from a string and not from stdin. Essentially, the interpreter needs to call yylex() until EOF, and call TAO_Lex_String_Input::reset() with the new string, prior to calling yyparse. More...
union | YYSTYPE
## Defines
#define | YY_INPUT(b, r, ms) (r = TAO_Lex_String_Input::copy_into(b, ms))
#define | yyerror(x)
## Functions
int | yyparse (void)
void | yyrestart (FILE *)
int | yylex (void)
## Variables
YYSTYPE | yylval
YYSTYPE | yyval

## Detailed Description

Id:
  Interpreter.h,v 1.10 2003/07/21 23:51:33 dhinton Exp

Author:
  Seth Widoff <sbw1@cs.wustl.edu>

## Define Documentation

#define YY_INPUT | ( | b,
|  | r,
|  | ms |  | ) | (r = TAO_Lex_String_Input::copy_into(b, ms))

#define yyerror | ( | x |  | ) |

## Function Documentation

int yylex | ( | void |  | ) |

int yyparse | ( | void |  | ) |

void yyrestart | ( | FILE * |  | ) |

## Variable Documentation

YYSTYPE yylval

YYSTYPE yyval